Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354169 - Patch to make the "Identity" part in the config dialog show areas to set gateway, client options (keys, password) and three checkboxes
Summary: Patch to make the "Identity" part in the config dialog show areas to set gate...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-strongswan
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Šimerda (pavlix)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-10 09:14 UTC by Thorsten Leemhuis
Modified: 2016-10-27 03:21 UTC (History)
2 users (show)

Fixed In Version: NetworkManager-strongswan-1.3.1-1.fc23.1 NetworkManager-strongswan-1.4.0-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-05 08:50:33 UTC


Attachments (Terms of Use)
patch to make the Identity part in the config dialog work properly (deleted)
2016-07-10 09:14 UTC, Thorsten Leemhuis
no flags Details | Diff
the patch mentioned in the spec file patch (deleted)
2016-07-15 06:43 UTC, Thorsten Leemhuis
no flags Details | Diff

Description Thorsten Leemhuis 2016-07-10 09:14:21 UTC
Created attachment 1178048 [details]
patch to make the Identity part in the config dialog work properly

The "Identity" part in the config dialog misses areas to set the gateway, some client options (among those are the keys and their passwords) and three checkboxes. Attach patch fixes it.

Comment 1 Thorsten Leemhuis 2016-07-15 06:43:55 UTC
Created attachment 1180050 [details]
the patch mentioned in the spec file patch

here is the patch; sorry, totally forgot it was not part of the diff

Comment 2 Thorsten Leemhuis 2016-08-25 08:54:24 UTC
Lubomir, how can I get this finally resolved? it's only a small bug and I really would like to see it solved. I have no idea if it's still present in NM 1.4, but I can test if there is a easy way to use it on f24

Comment 3 Lubomir Rintel 2016-09-22 09:12:32 UTC
I think the fix is now upstream. New version has been submitted as an update recently:

https://github.com/strongswan/strongswan/commit/0283d18914f8a208f02a8deedf345f37c91d57e7

Comment 4 Fedora Update System 2016-09-23 06:52:39 UTC
NetworkManager-strongswan-1.3.1-1.fc23.1 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-43494300d1

Comment 5 Fedora Update System 2016-09-23 08:00:44 UTC
NetworkManager-strongswan-1.4.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3600786766

Comment 6 Fedora Admin XMLRPC Client 2016-09-27 13:39:23 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora Update System 2016-09-28 05:58:25 UTC
NetworkManager-strongswan-1.4.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3600786766

Comment 8 Fedora Update System 2016-10-05 08:50:33 UTC
NetworkManager-strongswan-1.3.1-1.fc23.1 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-10-27 03:21:12 UTC
NetworkManager-strongswan-1.4.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.